# Fly Framework

Fly 是一个高性能、模块化、易于扩展的 Python Web 框架，旨在提供一个简单而全面的方式来构建 Web 应用程序。它支持同步和异步编程模式，最小化第三方依赖，确保轻量级和高效。

## 主要特性

- **模块接口面向对象**：服务基于协议，服务提供者注册到核心容器。
- **路由系统**：支持正常、路径参数和正则表达式路由。
- **中间件**：支持类、函数和生成器中间件。
- **信号**：支持内置信号和自定义信号。
- **Schema验证**：支持路径、查询、Cookie、头部和正文参数验证。
- **任务管理**：支持后台、延迟和定时任务。
- **测试**：内置测试客户端支持 HTTP、WebSocket 和 SSE。
- **配置管理**：支持字典和 YAML 文件路径输入。
- **OpenAPI支持**：自动生成文档和 SDK。
- **调试工具**：提供开发模式、调试壳和状态导出命令。
- **命令行工具**：内置 `fly` 命令行工具简化开发和部署流程。
- **视图**：支持函数和类基视图。
- **上下文管理**：类似 Flask 的请求和应用上下文。
- **性能分析**：请求性能分析和慢请求日志。

## 安装

> 建议使用python3.11及之上的版本进行尝试 目前尚未对其余版本做测试

使用 pip 安装 Fly:

```bash
pip install fly-web
```

## 快速开始

创建一个简单的应用:

```python
from fly import Fly

app = Fly(__name__)

@app.get("/")
def hello():
    return "Hello, World!"

if __name__ == "__main__":
    app.run()
```

## 贡献

欢迎贡献！请阅读我们的贡献指南来了解如何参与改进 Fly。

## 许可证

Fly 采用 MIT 许可证。详情请参阅 [LICENSE](LICENSE) 文件。
